SENDIOCRESET(9)

NAME
SendIocReset - Send IOCReset request to MPT adapter.

SYNOPSIS

int SendIocReset(MPT_ADAPTER * ioc, u8 reset_type, int sleepFlag);

ARGUMENTS

ioc
    Pointer to MPT_ADAPTER structure

reset_type
    reset type, expected values are MPI_FUNCTION_IOC_MESSAGE_UNIT_RESET or MPI_FUNCTION_IO_UNIT_RESET

sleepFlag
    Specifies whether the process can sleep

DESCRIPTION

Send IOCReset request to the MPT adapter.

Returns 0 for success, non-zero for failure.

COPYRIGHT